---
lang: en
title: 'API docs: context.defaultconfigurationresolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.defaultconfigurationresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [DefaultConfigurationResolver](./context.defaultconfigurationresolver.md)

## DefaultConfigurationResolver class

Resolver for configurations of bindings

<b>Signature:</b>

```typescript
export declare class DefaultConfigurationResolver implements ConfigurationResolver 
```
<b>Implements:</b> [ConfigurationResolver](./context.configurationresolver.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(context)](./context.defaultconfigurationresolver._constructor_.md) |  | Constructs a new instance of the <code>DefaultConfigurationResolver</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [context](./context.defaultconfigurationresolver.context.md) |  | [Context](./context.context.md) |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [getConfigAsValueOrPromise(key, propertyPath, resolutionOptions)](./context.defaultconfigurationresolver.getconfigasvalueorpromise.md) |  |  |


